<?php
/*-------------------------------------------------------+
| Horizontal Navigation Infusion for PHP-Fusion
| Copyright  2011 bartek124
| http://www.bartek124.net/
+--------------------------------------------------------+
| Filename: horizontal_navigation.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include_once INFUSIONS."horizontal_navigation_panel/horizontal_navigation_data.php";

if (file_exists(INFUSIONS."horizontal_navigation_panel/locale/".$settings['locale']."/horizontal_navigation.php")) {
    include INFUSIONS."horizontal_navigation_panel/locale/".$settings['locale']."/horizontal_navigation.php";
} else {
    include INFUSIONS."horizontal_navigation_panel/locale/English/horizontal_navigation.php";
}

$hnp = @hnp_data();
if (!empty($hnp)) {
    echo "<ul class='hnp'>\n";
    $panel_width = "100%";
    $cat_width = (strstr($panel_width, '%') ? round(100/count($hnp), 2)."%" : round($panel_width/count($hnp), 2)."px");
    $i = 0;
    foreach ($hnp as $cat_data) {
        echo "<li style='width: ".$cat_width.";'".($cat_data['hnp_cat_hidden'] == 'y' ? " class='hnp-hidden'" : "")."><h2>".$cat_data['hnp_cat_name']."</h2>\n";
        echo "<ul>\n";
        foreach ($cat_data['hnp_cat_navigation'] as $data) {
            $protocol = null;
            if (!preg_match("!^(ht|f)tp(s)?://!i", $data['hnp_link'])) {
                $protocol = BASEDIR;
            }
            echo "<li><a href='".$protocol.$data['hnp_link']."'".(!empty($data['hnp_title']) ? " title='".$data['hnp_title']."'" : "").($data['hnp_new_window'] === 'y' ? " target='_blank'" : "").">".THEME_BULLET." ".$data['hnp_anchor']."</a></li>\n";
        }
        echo "</ul>\n";
        echo "</li>\n";
        $i++;
    }
    echo "</ul>\n";
} else {
    echo "<p style='margin: 15px 0;text-align: center'>".$locale['hnp_nolinks']."</p>\n";
}
?>