<?php
/*-------------------------------------------------------+
| Horizontal Navigation Infusion for PHP-Fusion
| Copyright  2011 bartek124
| http://www.bartek124.net/
+--------------------------------------------------------+
| Filename: horizontal_navigation_data.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."horizontal_navigation_panel/infusion_db.php";

unset($hnp, $last_cat);

$result = dbquery("SELECT n.hnp_id, n.hnp_anchor, n.hnp_title, n.hnp_link, n.hnp_new_window, n.hnp_visibility, n.hnp_order, c.hnp_cat_id, c.hnp_cat_name, c.hnp_cat_hidden, c.hnp_cat_visibility, c.hnp_cat_order FROM ".DB_HORIZONTAL_NAVIGATION_CATS." c
LEFT JOIN ".DB_HORIZONTAL_NAVIGATION." n USING (hnp_cat_id)
WHERE ".groupaccess('c.hnp_cat_visibility')." AND ".groupaccess('n.hnp_visibility')."
ORDER BY c.hnp_cat_order ASC, n.hnp_order ASC");

$hnp = array();
$last_cat = 0;

while ($data = dbarray($result)) {
    if ($last_cat === 0 || $last_cat !== $data['hnp_cat_id']) {
        $hnp[$data['hnp_cat_id']] = array(
            'hnp_cat_id' => $data['hnp_cat_id'],
            'hnp_cat_name' => $data['hnp_cat_name'],
            'hnp_cat_hidden' => $data['hnp_cat_hidden'],
            'hnp_cat_visibility' => $data['hnp_cat_visibility'],
            'hnp_cat_order' => $data['hnp_cat_order'],
            'hnp_cat_navigation' => array()
        );

        $last_cat = $data['hnp_cat_id'];
    }

    if (!empty($data['hnp_id'])) {
        $hnp[$data['hnp_cat_id']]['hnp_cat_navigation'][] = array(
            'hnp_id' => $data['hnp_id'],
            'hnp_anchor' => $data['hnp_anchor'],
            'hnp_title' => $data['hnp_title'],
            'hnp_link' => $data['hnp_link'],
            'hnp_new_window' => $data['hnp_new_window'],
            'hnp_visibility' => $data['hnp_visibility'],
            'hnp_order' => $data['hnp_order']
        );
    }
}

function hnp_data() {
    global $hnp;
    return $hnp;
}
?>