<?php
/*-------------------------------------------------------+
| Horizontal Navigation Infusion for PHP-Fusion
| Copyright  2011 bartek124
| http://www.bartek124.net/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."horizontal_navigation_panel/infusion_db.php";
if (file_exists(INFUSIONS."horizontal_navigation_panel/locale/".$settings['locale']."/horizontal_navigation_admin.php")) {
    include INFUSIONS."horizontal_navigation_panel/locale/".$settings['locale']."/horizontal_navigation_admin.php";
} else {
    include INFUSIONS."horizontal_navigation_panel/locale/English/horizontal_navigation_admin.php";
}

$inf_title = $locale['hnp_title'];
$inf_description = $locale['hnp_desc'];
$inf_version = "1.0";
$inf_developer = "bartek124";
$inf_email = "bartek@bartek124.net";
$inf_weburl = "http://www.bartek124.net";
$inf_folder = "horizontal_navigation_panel";

$inf_newtable[1] = DB_HORIZONTAL_NAVIGATION_CATS." (
hnp_cat_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
hnp_cat_name  VARCHAR(200) DEFAULT '' NOT NULL,
hnp_cat_hidden ENUM('y','n') DEFAULT 'n' NOT NULL,
hnp_cat_visibility TINYINT(3) UNSIGNED DEFAULT '0' NOT NULL,
hnp_cat_order TINYINT(3) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (hnp_cat_id),
UNIQUE KEY hnp_cat_order (hnp_cat_order)
) ENGINE=InnoDB;";

$inf_newtable[2] = DB_HORIZONTAL_NAVIGATION." (
hnp_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
hnp_cat_id SMALLINT(5) UNSIGNED NOT NULL,
hnp_anchor VARCHAR(200) DEFAULT '' NOT NULL,
hnp_title VARCHAR(200) DEFAULT '' NOT NULL,
hnp_link VARCHAR(200) DEFAULT '' NOT NULL,
hnp_new_window ENUM('y','n') DEFAULT 'n' NOT NULL,
hnp_visibility TINYINT(3) UNSIGNED DEFAULT '0' NOT NULL,
hnp_order SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (hnp_id),
CONSTRAINT hnp_cat_id FOREIGN KEY (hnp_cat_id) REFERENCES ".DB_HORIZONTAL_NAVIGATION_CATS." (hnp_cat_id) ON DELETE CASCADE) ENGINE=InnoDB";

$inf_insertdbrow[1] = DB_HORIZONTAL_NAVIGATION_CATS." (hnp_cat_name, hnp_cat_hidden, hnp_cat_visibility, hnp_cat_order) VALUES ('".$locale['hnp_cat1']."', 'n', '0', '1'),
('".$locale['hnp_cat2']."', 'n', '0', '2'),
('".$locale['hnp_cat3']."', 'n', '0', '3'),
('".$locale['hnp_cat4']."', 'n', '101', '4'),
('".$locale['hnp_cat5']."', 'y', '0', '5')";

$inf_insertdbrow[2] = DB_HORIZONTAL_NAVIGATION." (hnp_cat_id, hnp_anchor, hnp_title, hnp_link, hnp_new_window, hnp_visibility, hnp_order) VALUES 
('1', '".$locale['hnp_link1_anchor']."', '', 'index.php', 'n', '0', '1'), 
('1', '".$locale['hnp_link2_anchor']."', '".$locale['hnp_link2_title']."', 'search.php', 'n', '0', '2'), 
('1', '".$locale['hnp_link3_anchor']."', '', 'news_cats.php', 'n', '0', '3'), 
('1', '".$locale['hnp_link4_anchor']."', '', 'contact.php', 'n', '0', '4'), 
('2', '".$locale['hnp_link5_anchor']."', '', 'articles.php', 'n', '0', '1'), 
('2', '".$locale['hnp_link6_anchor']."', '', 'downloads.php', 'n', '0', '2'), 
('2', '".$locale['hnp_link7_anchor']."', '', 'photogallery.php', 'n', '0', '3'), 
('2', '".$locale['hnp_link8_anchor']."', '".$locale['hnp_link8_title']."', 'weblinks.php', 'n', '0', '4'), 
('2', '".$locale['hnp_link9_anchor']."', '".$locale['hnp_link9_title']."', 'faq.php', 'n', '0', '5'), 
('3', '".$locale['hnp_link10_anchor']."', '', 'forum/index.php', 'n', '0', '1'), 
('3', '".$locale['hnp_link11_anchor']."', '".$locale['hnp_link11_title']."', 'search.php?stype=forums', 'n', '0', '2'), 
('3', '".$locale['hnp_link12_anchor']."', '', 'infusions/forum_threads_list_panel/my_threads.php', 'n', '101', '3'), 
('3', '".$locale['hnp_link13_anchor']."', '', 'infusions/forum_threads_list_panel/my_posts.php', 'n', '101', '4'), 
('3', '".$locale['hnp_link14_anchor']."', '', 'infusions/forum_threads_list_panel/new_posts.php', 'n', '101', '5'), 
('3', '".$locale['hnp_link15_anchor']."', '', 'infusions/forum_threads_list_panel/my_tracked_threads.php', 'n', '101', '6'), 
('4', '".$locale['hnp_link16_anchor']."', '', 'submit.php?stype=l', 'n', '101', '1'), 
('4', '".$locale['hnp_link17_anchor']."', '', 'submit.php?stype=n', 'n', '101', '2'), 
('4', '".$locale['hnp_link18_anchor']."', '', 'submit.php?stype=a', 'n', '101', '3'), 
('4', '".$locale['hnp_link19_anchor']."', '', 'submit.php?stype=p', 'n', '101', '4'), 
('5', '".$locale['hnp_link20_anchor']."', '".$locale['hnp_link20_title']."', 'http://www.bartek124.net', 'y', '0', '1'), 
('5', '".$locale['hnp_link22_anchor']."', '".$locale['hnp_link22_title']."', 'http://www.php-fusion.pl', 'y', '0', '2'), 
('5', '".$locale['hnp_link23_anchor']."', '".$locale['hnp_link23_title']."', 'http://www.php-fusion.co.uk', 'y', '0', '3'), 
('5', '".$locale['hnp_link24_anchor']."', '".$locale['hnp_link24_title']."', 'http://www.it-norden.dk', 'y', '0', '4')";

$inf_droptable[1] = DB_HORIZONTAL_NAVIGATION;

$inf_droptable[2] = DB_HORIZONTAL_NAVIGATION_CATS;

$inf_adminpanel[1] = array(
    "title" => $locale['hnp_title'],
    "image" => "horizontal_navigation.png",
    "panel" => "horizontal_navigation_admin.php",
    "rights" => "HNP"
);
?>