<?php
/*-------------------------------------------------------+
| Horizontal Navigation Infusion for PHP-Fusion
| Copyright  2011 bartek124
| http://www.bartek124.net/
+--------------------------------------------------------+
| Filename: horizontal_navigation_admin.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("HNP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

include INFUSIONS."horizontal_navigation_panel/infusion_db.php";
if (file_exists(INFUSIONS."horizontal_navigation_panel/locale/".$settings['locale']."/horizontal_navigation_admin.php")) {
    include INFUSIONS."horizontal_navigation_panel/locale/".$settings['locale']."/horizontal_navigation_admin.php";
} else {
    include INFUSIONS."horizontal_navigation_panel/locale/English/horizontal_navigation_admin.php";
}

add_to_title($locale['hnp_admin']);

function hnp_refresh_cats() {
    $result = dbquery("SELECT hnp_cat_id, hnp_cat_order FROM ".DB_HORIZONTAL_NAVIGATION_CATS." ORDER BY hnp_cat_order ASC");
    $i = 1;

    while ($data = dbarray($result)) {
        $result2 = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order='".$i."' WHERE hnp_cat_id='".$data['hnp_cat_id']."'");
        $i++;
    }
}

function hnp_refresh_links($cat_id = null) {
    if ($cat_id == null) {
        $result = dbquery("SELECT hnp_cat_id FROM ".DB_HORIZONTAL_NAVIGATION_CATS);

        while ($data = dbarray($result)) {
            hnp_refresh_links($data['hnp_cat_id']);
        }
    } else {
        $result = dbquery("SELECT hnp_id FROM ".DB_HORIZONTAL_NAVIGATION." WHERE hnp_cat_id='".$cat_id."' ORDER BY hnp_order ASC");
        $i = 1;

        while ($data = dbarray($result)) {
            $result2 = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order='".$i."' WHERE hnp_id='".$data['hnp_id']."'");
            $i++;
        }
    }
}

if (isset($_GET['action']) && $_GET['action'] == "refresh") {
    hnp_refresh_cats();
    hnp_refresh_links();
    redirect(FUSION_SELF.$aidlink."&message=1");
} else if (isset($_GET['action']) && $_GET['action'] == "move" && isset($_GET['order']) && isnum($_GET['order']) && ((isset($_GET['cat_id']) && isnum($_GET['cat_id'])) || (isset($_GET['link_id']) && isnum($_GET['link_id'])))) {
    if (isset($_GET['cat_id'])) {
        $result = dbquery("SELECT hnp_cat_order FROM ".DB_HORIZONTAL_NAVIGATION_CATS." WHERE hnp_cat_id='".$_GET['cat_id']."'");

        if (!dbrows($result)) redirect(FUSION_SELF.$aidlink);

        $current_cat_order = dbresult($result, 0);

        $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order=0 WHERE hnp_cat_id='".$_GET['cat_id']."'");
        $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order=hnp_cat_order-1 WHERE hnp_cat_order >= ".$current_cat_order." ORDER BY hnp_cat_order ASC");
        $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order=hnp_cat_order+1 WHERE hnp_cat_order >= ".$_GET['order']." ORDER BY hnp_cat_order DESC");
        $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order='".$_GET['order']."' WHERE hnp_cat_id='".$_GET['cat_id']."'");
        redirect(FUSION_SELF.$aidlink."&message=2");
    } else if (isset($_GET['link_id'])) {
        $result = dbquery("SELECT hnp_cat_id, hnp_order FROM ".DB_HORIZONTAL_NAVIGATION." WHERE hnp_id='".$_GET['link_id']."'");

        if (!dbrows($result)) redirect(FUSION_SELF.$aidlink);

        $current = dbarray($result);
        $current_cat = $current['hnp_cat_id'];
        $current_order = $current['hnp_order'];

        $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order=0 WHERE hnp_id='".$_GET['link_id']."'");
        $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order=hnp_order-1 WHERE hnp_cat_id='".$current_cat."' AND hnp_order >= ".$current_order." ORDER BY hnp_order ASC");
        $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order=hnp_order+1 WHERE hnp_cat_id='".$current_cat."' AND hnp_order >= ".$_GET['order']." ORDER BY hnp_order DESC");
        $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order='".$_GET['order']."' WHERE hnp_id='".$_GET['link_id']."'");
        redirect(FUSION_SELF.$aidlink."&message=3");
    } else {
        redirect(FUSION_SELF.$aidlink);
    }
} else if (isset($_GET['action']) && $_GET['action'] == "delete" && isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {
    $result = dbquery("DELETE FROM ".DB_HORIZONTAL_NAVIGATION_CATS." WHERE hnp_cat_id='".$_GET['cat_id']."'");
    hnp_refresh_cats();
    redirect(FUSION_SELF.$aidlink."&form=link&message=4");
} else if (isset($_GET['action']) && $_GET['action'] == "delete" && isset($_GET['link_id']) && isnum($_GET['link_id'])) {
    $result = dbquery("SELECT hnp_cat_id FROM ".DB_HORIZONTAL_NAVIGATION." WHERE hnp_id='".$_GET['link_id']."'");
    if (dbrows($result)) {
        $hnp_cat_id = dbresult($result, 0);
        $result = dbquery("DELETE FROM ".DB_HORIZONTAL_NAVIGATION." WHERE hnp_id='".$_GET['link_id']."'");
        hnp_refresh_links($hnp_cat_id);
        redirect(FUSION_SELF.$aidlink."&form=link&message=5");
    }
    redirect(FUSION_SELF.$aidlink);
} else if (isset($_GET['form']) && $_GET['form'] === 'cat' && isset($_POST['savecat'])) {
    $hnp_cat_name = stripinput($_POST['cat_name']);
    $hnp_cat_hidden = ($_POST['cat_hidden'] === 'y' ? 'y' : 'n');
    $hnp_cat_visibility = (isnum($_POST['cat_visibility']) ? $_POST['cat_visibility'] : redirect(FUSION_SELF.$aidlink));
    $hnp_cat_order = (isnum($_POST['cat_order']) ? $_POST['cat_order'] : null);

    if (empty($hnp_cat_name)) {
        redirect(FUSION_SELF.$aidlink."&form=link&message=6");
    }

    if (isset($_GET['action']) && $_GET['action'] == "edit" && isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {
        $old_cat_order = dbresult(dbquery("SELECT hnp_cat_order FROM ".DB_HORIZONTAL_NAVIGATION_CATS." WHERE hnp_cat_id='".$_GET['cat_id']."'"), 0);
        $cat_count = dbcount("(hnp_cat_id)", DB_HORIZONTAL_NAVIGATION_CATS);

        if ($hnp_cat_order === null || $hnp_cat_order == $old_cat_order) {
            $hnp_cat_order = $old_cat_order;
        } else if ($hnp_cat_order > $cat_count) {
            $hnp_cat_order = $cat_count;
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order='0' WHERE hnp_cat_id='".$_GET['cat_id']."'");
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order=hnp_cat_order-1 WHERE hnp_cat_order>'".$old_cat_order."' ORDER BY hnp_cat_order ASC");
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order=hnp_cat_order+1 WHERE hnp_cat_order='".$hnp_cat_order."'");
        } else {
            $hnp_cat_order = ($hnp_cat_order > 0 ? $hnp_cat_order : 1);
            echo $hnp_cat_order;
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order='0' WHERE hnp_cat_id='".$_GET['cat_id']."'");
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order=hnp_cat_order-1 WHERE hnp_cat_order>'".$old_cat_order."' ORDER BY hnp_cat_order ASC");
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order=hnp_cat_order+1 WHERE hnp_cat_order>='".$hnp_cat_order."' ORDER BY hnp_cat_order DESC");
        }

        $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_name='".$hnp_cat_name."', hnp_cat_hidden='".$hnp_cat_hidden."', hnp_cat_visibility='".$hnp_cat_visibility."', hnp_cat_order='".$hnp_cat_order."' WHERE hnp_cat_id='".$_GET['cat_id']."'");

        redirect(FUSION_SELF.$aidlink."&form=cat&message=2");
    } else {
        $count = dbresult(dbquery("SELECT COUNT(*) FROM ".DB_HORIZONTAL_NAVIGATION_CATS), 0);

        if ($hnp_cat_order === null) {
            $hnp_cat_order = ($count+1);
        } else if ($hnp_cat_order >= $count) {
            $hnp_cat_order = ($count+1);
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order=hnp_cat_order+1 WHERE hnp_cat_order >= ".$hnp_cat_order." ORDER BY hnp_cat_order DESC");
        } else {
            $hnp_cat_order = ($hnp_cat_order > 0 ? $hnp_cat_order : 1);
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_CATS." SET hnp_cat_order=hnp_cat_order+1 WHERE hnp_cat_order >= ".$hnp_cat_order." ORDER BY hnp_cat_order DESC");
        }

        $result = dbquery("INSERT INTO ".DB_HORIZONTAL_NAVIGATION_CATS." (hnp_cat_name, hnp_cat_hidden, hnp_cat_visibility, hnp_cat_order) VALUES ('".$hnp_cat_name."', '".$hnp_cat_hidden."', '".$hnp_cat_visibility."', '".$hnp_cat_order."')");
        redirect(FUSION_SELF.$aidlink."&form=cat&message=3");
    }
} else if (isset($_GET['form']) && $_GET['form'] === 'link' && isset($_POST['savelink'])) {
    $hnp_anchor = stripinput($_POST['link_anchor']);
    $hnp_cat_id = (isnum($_POST['link_cat']) && dbrows(dbquery("SELECT hnp_cat_id FROM ".DB_HORIZONTAL_NAVIGATION_CATS." WHERE hnp_cat_id='".$_POST['link_cat']."'")) ? $_POST['link_cat'] : redirect(FUSION_SELF.$aidlink));
    $hnp_title = stripinput($_POST['link_title']);
    $hnp_link = stripinput($_POST['link_url']);
    $hnp_new_window = ($_POST['link_new_window'] === 'y' ? 'y' : 'n');
    $hnp_visibility = (isnum($_POST['link_visibility']) ? $_POST['link_visibility'] : redirect(FUSION_SELF.$aidlink));
    $hnp_order = (isnum($_POST['link_order']) ? $_POST['link_order'] : null);

    if (empty($hnp_anchor) || empty($hnp_link)) {
        redirect(FUSION_SELF.$aidlink."&form=link&message=4");
    }

    if (isset($_GET['action']) && $_GET['action'] == "edit" && isset($_GET['link_id']) && isnum($_GET['link_id'])) {
        $old_result = dbquery("SELECT hnp_cat_id, hnp_order FROM ".DB_HORIZONTAL_NAVIGATION." WHERE hnp_id='".$_GET['link_id']."'");
        if (!dbrows($old_result)) redirect(FUSION_SELF.$aidlink);
        $old_data = dbarray($old_result);
        $count = dbcount("(hnp_id)", DB_HORIZONTAL_NAVIGATION, "hnp_cat_id='".$old_data['hnp_cat_id']."'");

        if ($hnp_order === null || $hnp_order == $old_data['hnp_order']) {
            $hnp_order = $old_data['hnp_order'];
        } else if ($hnp_order > $count) {
            $hnp_order = $count;
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order='0' WHERE hnp_id='".$_GET['link_id']."'");
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order=hnp_order-1 WHERE hnp_cat_id='".$old_data['hnp_cat_id']."' AND hnp_order>'".$old_data['hnp_order']."' ORDER BY hnp_order ASC");
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order=hnp_order+1 WHERE hnp_cat_id='".$old_data['hnp_cat_id']."' AND hnp_order='".$hnp_order."'");
        } else {
            $hnp_order = ($hnp_order > 0 ? $hnp_order : 1);
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order='0' WHERE hnp_id='".$_GET['link_id']."'");
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order=hnp_order-1 WHERE hnp_cat_id='".$old_data['hnp_cat_id']."' AND hnp_order>'".$old_data['hnp_order']."' ORDER BY hnp_order ASC");
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order=hnp_order+1 WHERE hnp_cat_id='".$old_data['hnp_cat_id']."' AND hnp_order>='".$hnp_order."' ORDER BY hnp_order DESC");
        }

        $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_cat_id='".$hnp_cat_id."', hnp_anchor='".$hnp_anchor."', hnp_title='".$hnp_title."', hnp_link='".$hnp_link."', hnp_new_window='".$hnp_new_window."', hnp_visibility='".$hnp_visibility."', hnp_order='".$hnp_order."' WHERE hnp_cat_id='".$hnp_cat_id."' AND hnp_id='".$_GET['link_id']."'");

        redirect(FUSION_SELF.$aidlink."&form=link&message=5");
    } else {
        $count = dbcount("(hnp_id)", DB_HORIZONTAL_NAVIGATION, "hnp_cat_id='".$hnp_cat_id."'");

        if ($hnp_order === null) {
            $hnp_order = ($count+1);
        } else if ($hnp_order > $count) {
            $hnp_order = ($count+1);
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION_." SET hnp_cat_order=hnp_order+1 WHERE hnp_cat_id='".$hnp_cat_id."' AND hnp_order >= ".$hnp_order." ORDER BY hnp_order DESC");
        } else {
            $hnp_order = ($hnp_order > 0 ? $hnp_order : 1);
            $result = dbquery("UPDATE ".DB_HORIZONTAL_NAVIGATION." SET hnp_order=hnp_order+1 WHERE hnp_cat_id='".$hnp_cat_id."' AND hnp_order >= ".$hnp_order." ORDER BY hnp_order DESC");
        }

        $result = dbquery("INSERT INTO ".DB_HORIZONTAL_NAVIGATION." (hnp_cat_id, hnp_anchor, hnp_title, hnp_link, hnp_new_window, hnp_visibility, hnp_order) VALUES ('".$hnp_cat_id."', '".$hnp_anchor."', '".$hnp_title."', '".$hnp_link."', '".$hnp_new_window."', '".$hnp_visibility."', '".$hnp_order."')");
        redirect(FUSION_SELF.$aidlink."&form=link&message=6");
    }
}

$visibility_opts = ""; $sel = "";
$user_groups = getusergroups();

opentable($locale['hnp_add_edit_item']);
echo "<table cellspacing='0' cellpadding='0' border='0' width='300' class='center'>\n<tr style='text-align:center'>\n";
echo "<td style='width:150px' class='tbl-border ".(!isset($_GET['form']) || (isset($_GET['form']) && $_GET['form'] === 'link') ? "tbl2'><strong>".$locale['hnp_links']."</strong>" : "tbl1'><a href='".FUSION_SELF.$aidlink."&amp;form=link'>".$locale['hnp_links']."</a>")."</td>\n";
echo "<td style='width:150px' class='tbl-border ".(isset($_GET['form']) && $_GET['form'] === 'cat' ? "tbl2'><strong>".$locale['hnp_cats']."</strong>" : "tbl1'><a href='".FUSION_SELF.$aidlink."&amp;form=cat'>".$locale['hnp_cats']."</a>")."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td colspan='2' class='tbl'>\n<br />\n";
if (!isset($_GET['form']) || (isset($_GET['form']) && $_GET['form'] === 'link')) {
    if (isset($_GET['action']) && $_GET['action'] == "edit" && isset($_GET['link_id']) && isnum($_GET['link_id'])) {
        $result = dbquery("SELECT * FROM ".DB_HORIZONTAL_NAVIGATION." WHERE hnp_id='".$_GET['link_id']."'");
        if (!dbrows($result)) redirect(FUSION_SELF.$aidlink);
        $data = dbarray($result);
        $hnp_anchor = $data['hnp_anchor'];
        $hnp_cat_id = $data['hnp_cat_id'];
        $hnp_title = $data['hnp_title'];
        $hnp_link = $data['hnp_link'];
        $hnp_new_window = $data['hnp_new_window'];
        $hnp_visibility = $data['hnp_visibility'];
        $hnp_order = $data['hnp_order'];
        $formaction = FUSION_SELF.$aidlink."&form=link&action=edit&link_id=".$data['hnp_id'];
    } else {
        $hnp_anchor = "";
        $hnp_cat_id = "";
        $hnp_title = "";
        $hnp_link = "";
        $hnp_new_window = "n";
        $hnp_visibility = "0";
        $hnp_order = "";
        $formaction = FUSION_SELF.$aidlink."&form=link";
    }

    $cat_opts = "<option value=''></option>\n";
    $result = dbquery("SELECT hnp_cat_id, hnp_cat_name FROM ".DB_HORIZONTAL_NAVIGATION_CATS." ORDER BY hnp_cat_order ASC");
    if (dbrows($result)) {
        while ($data = dbarray($result)) {
            $cat_opts .= "<option value='".$data['hnp_cat_id']."'".($data['hnp_cat_id'] == $hnp_cat_id ? " selected='selected'" : "").">".$data['hnp_cat_name']."</option>\n";
        }

        while(list($key, $user_group) = each($user_groups)){
            $visibility_opts .= "<option value='".$user_group['0']."'".($user_group['0'] == $hnp_visibility ? " selected='selected'" : "").">".$user_group['1']."</option>\n";
        }

        echo "<form name='linkform' method='post' action='".$formaction."'>\n";
        echo "<table cellpadding='0' cellspacing='0' class='center' width='300'>\n<tr>\n";
        echo "<td class='tbl'>".$locale['hnp_name']."</td>\n";
        echo "<td class='tbl'><input type='text' name='link_anchor' value='".$hnp_anchor."' maxlength='200' class='textbox' style='width:240px;' /></td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl'>".$locale['hnp_cat']."</td>\n";
        echo "<td class='tbl'><select name='link_cat' class='textbox' style='width:150px;'>\n".$cat_opts."</select></td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl'>".$locale['hnp_tit']."</td>\n";
        echo "<td class='tbl'><input type='text' name='link_title' value='".$hnp_title."' maxlength='200' class='textbox' style='width:240px;' /></td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl'>".$locale['hnp_link']."</td>\n";
        echo "<td class='tbl'><input type='text' name='link_url' value='".$hnp_link."' maxlength='200' class='textbox' style='width:240px;' /></td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl'>".$locale['hnp_oianw']."</td>\n";
        echo "<td class='tbl'><label><input type='radio' name='link_new_window' value='y'".($hnp_new_window == "y" ? " checked='checked'" : "")." /> ".$locale['hnp_yes']."</label> <label><input type='radio' name='link_new_window' value='n'".($hnp_new_window == "n" ? " checked='checked'" : "")." /> ".$locale['hnp_no']."</label></td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl'>".$locale['hnp_view']."</td>\n";
        echo "<td class='tbl'><select name='link_visibility' class='textbox' style='width:150px;'>\n".$visibility_opts."</select></td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl'>".$locale['hnp_order']."</td>\n";
        echo "<td class='tbl'><input type='text' name='link_order'  value='".$hnp_order."' maxlength='5' class='textbox' style='width:40px;' /></td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td align='center' colspan='2' class='tbl'>\n";
        echo "<input type='submit' name='savelink' value='".$locale['hnp_save']."' class='button' /></td>\n";
        echo "</tr>\n</table>\n</form>\n";
    } else {
        redirect(FUSION_SELF.$aidlink."&form=cat");
    }
} else if (isset($_GET['form']) && $_GET['form'] == 'cat') {
    if (isset($_GET['action']) && $_GET['action'] == 'edit' && isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {
        $result = dbquery("SELECT * FROM ".DB_HORIZONTAL_NAVIGATION_CATS." WHERE hnp_cat_id='".$_GET['cat_id']."'");
        if (!dbrows($result)) redirect(FUSION_SELF.$aidlink);
        $data = dbarray($result);
        $hnp_cat_name = $data['hnp_cat_name'];
        $hnp_cat_hidden = $data['hnp_cat_hidden'];
        $hnp_cat_visibility = $data['hnp_cat_visibility'];
        $hnp_cat_order = $data['hnp_cat_order'];
        $formaction = FUSION_SELF.$aidlink."&form=cat&action=edit&cat_id=".$data['hnp_cat_id'];
    } else {
        $hnp_cat_name = "";
        $hnp_cat_hidden = "n";
        $hnp_cat_visibility = "0";
        $hnp_cat_order = "";
        $formaction = FUSION_SELF.$aidlink."&form=cat";
    }

    while(list($key, $user_group) = each($user_groups)){
        $visibility_opts .= "<option value='".$user_group['0']."'".($user_group['0'] == $hnp_cat_visibility ? " selected='selected'" : "").">".$user_group['1']."</option>\n";
    }

    echo "<form name='catform' method='post' action='".$formaction."'>\n";
    echo "<table cellpadding='0' cellspacing='0' class='center' width='300'>\n<tr>\n";
    echo "<td class='tbl'>".$locale['hnp_name']."</td>\n";
    echo "<td class='tbl'><input type='text' name='cat_name' value='".$hnp_cat_name."' maxlength='200' class='textbox' style='width:240px;' /></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td class='tbl'>".$locale['hnp_coll']."</td>\n";
    echo "<td class='tbl'><label><input type='radio' name='cat_hidden' value='y'".($hnp_cat_hidden == 'y' ? " checked='checked'" : "")." /> ".$locale['hnp_yes']."</label> <label><input type='radio' name='cat_hidden' value='n'".($hnp_cat_hidden == 'n' ? " checked='checked'" : "")." /> ".$locale['hnp_no']."</label></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td class='tbl'>".$locale['hnp_view']."</td>\n";
    echo "<td class='tbl'><select name='cat_visibility' class='textbox' style='width:150px;'>\n".$visibility_opts."</select></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td class='tbl'>".$locale['hnp_order']."</td>\n";
    echo "<td class='tbl'><input type='text' name='cat_order'  value='".$data['hnp_cat_order']."' maxlength='5' class='textbox' style='width:40px;' /></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td align='center' colspan='2' class='tbl'>\n";
    echo "<input type='submit' name='savecat' value='".$locale['hnp_save']."' class='button' /></td>\n";
    echo "</tr>\n</table>\n</form>\n";
} else {
    redirect(FUSION_SELF.$aidlink);
}
echo "</td>\n";
echo "</tr>\n</table>\n";
closetable();

opentable($locale['hnp_nav_items']);
include_once INFUSIONS."horizontal_navigation_panel/horizontal_navigation_data.php";
if (!empty($hnp)) {
    echo "<table cellpadding='0' cellspacing='1' width='450' class='tbl-border center'>\n<tr>\n";
    echo "<td class='tbl2'><strong>".$locale['hnp_name']."</strong></td>\n";
    echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['hnp_view']."</strong></td>\n";
    echo "<td align='center' colspan='2' width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['hnp_order']."</strong></td>\n";
    echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['hnp_options']."</strong></td>\n";
    echo "</tr>\n";
    echo "<tr>\n<td colspan='5' class='tbl' style='height: 10px'><img src='".INFUSIONS."horizontal_navigation_panel/images/new_window.png' alt='".$locale['hnp_new_window']."' title='".$locale['hnp_oinw']."' /> ".$locale['hnp_loianw']." <img src='".INFUSIONS."horizontal_navigation_panel/images/external_link.png' alt='".$locale['hnp_exlinks']."' title='".$locale['hnp_exlinks']."' /> - ".$locale['hnp_exlinks']."</td>\n</tr>\n";
    $hnp_count = count($hnp);
    foreach ($hnp as $cat_data) {
        $i = 0;
        echo "<tr style='font-weight:bold'>\n";
        echo "<td class='tbl2'>".($cat_data['hnp_cat_hidden'] == 'y' ? "<i>".$cat_data['hnp_cat_name']."</i>" : $cat_data['hnp_cat_name'])."</td>\n";
        echo "<td class='tbl2' style='white-space:nowrap;text-align:center'>".getgroupname($cat_data['hnp_cat_visibility'])."</td>\n";
        echo "<td class='tbl2' style='white-space:nowrap;text-align:center'>".$cat_data['hnp_cat_order']."</td>\n";
        echo "<td class='tbl2' style='white-space:nowrap;text-align:center'>";
        if ($hnp_count > 1) {
            if ($cat_data['hnp_cat_order'] == 1) {
                echo "<a href='".FUSION_SELF.$aidlink."&amp;action=move&amp;order=2&amp;cat_id=".$cat_data['hnp_cat_id']."'><img src='".get_image("down")."' alt='".$locale['hnp_down']."' title='".$locale['hnp_clickdown']."' style='border:0px;' /></a>\n";
            } else if ($cat_data['hnp_cat_order'] == $hnp_count) {
                echo "<a href='".FUSION_SELF.$aidlink."&amp;action=move&amp;order=".($hnp_count-1)."&amp;cat_id=".$cat_data['hnp_cat_id']."'><img src='".get_image("up")."' alt='".$locale['hnp_up']."' title='".$locale['hnp_clickup']."' style='border:0px;' /></a>\n";
            } else {
                echo "<a href='".FUSION_SELF.$aidlink."&amp;action=move&amp;order=".($cat_data['hnp_cat_order']-1)."&amp;cat_id=".$cat_data['hnp_cat_id']."'><img src='".get_image("up")."' alt='".$locale['hnp_up']."' title='".$locale['hnp_clickup']."' style='border:0px;' /></a>\n";
                echo "<a href='".FUSION_SELF.$aidlink."&amp;action=move&amp;order=".($cat_data['hnp_cat_order']+1)."&amp;cat_id=".$cat_data['hnp_cat_id']."'><img src='".get_image("down")."' alt='".$locale['hnp_down']."' title='".$locale['hnp_clickdown']."' style='border:0px;' /></a>\n";
            }
        }
        echo "</td>\n";
        echo "<td class='tbl2' style='white-space:nowrap;text-align:center'><a href='".FUSION_SELF.$aidlink."&amp;form=cat&amp;action=edit&amp;cat_id=".$cat_data['hnp_cat_id']."'>".$locale['hnp_edit']."</a> - <a href='".FUSION_SELF.$aidlink."&amp;form=cat&amp;action=delete&amp;cat_id=".$cat_data['hnp_cat_id']."' onclick=\"return confirm('".$locale['hnp_confirmdelete']."')\" >".$locale['hnp_delete']."</a></td>\n";
        echo "</tr>\n";
        foreach ($cat_data['hnp_cat_navigation'] as $data) {
            $hnp_cat_count = count($cat_data['hnp_cat_navigation']);
            $class = ($i % 2 == 0 ? "tbl1" : "tbl2");
            $protocol = null;
            if (!preg_match('/^((http|ftp|https):\/\/(.*?))+$/si', $data['hnp_link'])) {
                $protocol = BASEDIR;
            }
            echo "<tr>\n";
            echo "<td class='".$class."' style='white-space:nowrap'><a href='".$protocol.$data['hnp_link']."'".(!empty($data['hnp_title']) ? " title='".$data['hnp_title']."'" : "").($data['hnp_new_window'] === 'y' ? " target='_blank'" : "").">".$data['hnp_anchor']."</a>".($data['hnp_new_window'] === 'y' ? " <img src='".INFUSIONS."horizontal_navigation_panel/images/new_window.png' alt='".$locale['hnp_new_window']."' title='".$locale['hnp_oinw']."' />" : "").($protocol === null ? " <img src='".INFUSIONS."horizontal_navigation_panel/images/external_link.png' alt='".$locale['hnp_exlinks']."' title='".$locale['hnp_exlinks']."' />" : "")."</td>\n";
            echo "<td class='".$class."' style='white-space:nowrap;text-align:center'>";
            if ($cat_data['hnp_cat_visibility'] == 0) {
                echo getgroupname($data['hnp_visibility']);
            } else if (in_array($cat_data['hnp_cat_visibility'], array('101', '102', '103'))) {
                if ($cat_data['hnp_cat_visibility'] > $data['hnp_visibility']) {
                echo getgroupname($cat_data['hnp_cat_visibility']);
                } else {
                    echo getgroupname($data['hnp_visibility']);
                }
            } else {
                echo getgroupname($cat_data['hnp_cat_visibility']);
            }
            echo "</td>\n";
            echo "<td class='".$class."' style='white-space:nowrap;text-align:center'>".$data['hnp_order']."</td>\n";
            echo "<td class='".$class."' style='white-space:nowrap;text-align:center'>\n";
            if ($hnp_cat_count > 1) {
                if ($data['hnp_order'] == 1) {
                    echo "<a href='".FUSION_SELF.$aidlink."&amp;action=move&amp;order=2&amp;link_id=".$data['hnp_id']."'><img src='".get_image("down")."' alt='".$locale['hnp_down']."' title='".$locale['hnp_clickdown']."' style='border:0px;' /></a>\n";
                } else if ($data['hnp_order'] == $hnp_cat_count) {
                    echo "<a href='".FUSION_SELF.$aidlink."&amp;action=move&amp;order=".($hnp_cat_count-1)."&amp;link_id=".$data['hnp_id']."'><img src='".get_image("up")."' alt='".$locale['hnp_up']."' title='".$locale['hnp_clickup']."' style='border:0px;' /></a>\n";
                } else {
                    echo "<a href='".FUSION_SELF.$aidlink."&amp;action=move&amp;order=".($data['hnp_order']-1)."&amp;link_id=".$data['hnp_id']."'><img src='".get_image("up")."' alt='".$locale['hnp_up']."' title='".$locale['hnp_clickup']."' style='border:0px;' /></a>\n";
                    echo "<a href='".FUSION_SELF.$aidlink."&amp;action=move&amp;order=".($data['hnp_order']+1)."&amp;link_id=".$data['hnp_id']."'><img src='".get_image("down")."' alt='".$locale['hnp_down']."' title='".$locale['hnp_clickdown']."' style='border:0px;' /></a>\n";
                }
            }
            echo "</td>\n";
            echo "<td class='".$class."' style='white-space:nowrap;text-align:center'><a href='".FUSION_SELF.$aidlink."&amp;form=link&amp;action=edit&amp;link_id=".$data['hnp_id']."'>".$locale['hnp_edit']."</a> - <a href='".FUSION_SELF.$aidlink."&amp;form=link&amp;action=delete&amp;link_id=".$data['hnp_id']."' onclick=\"return confirm('".$locale['hnp_confirmdeletelink']."')\" >".$locale['hnp_delete']."</a></td>\n";
            echo "</tr>\n";
            $i++;
        }
        echo "<tr>\n<td colspan='5' class='tbl' style='height: 10px'></td>\n</tr>\n";
    }
    echo "</table>\n";
    if (!empty($hnp)) { echo "<div style='text-align:center;margin-top:5px'>[ <a href='".FUSION_SELF.$aidlink."&amp;action=refresh'>".$locale['hnp_refresh']."</a> ]</div>\n"; }
} else {
    echo "<p style='margin: 15px 0;text-align: center'>".$locale['hnp_nolinks']."</p>\n";
}
closetable();

require_once THEMES."templates/footer.php";
?>